package com.bocloud.cmp.model.hmc.pcm;

public class PcmPartitionProcessor {
    private Integer id; // Hmc分区id
    private String name;
    private String mode;
    private Integer poolId;
    private String poolName;
    private Double entitledProc;
    private Double utilizedProc;
    private Double maxUtilized = 0.0;
    private Double donatedProc;
    private Double idleProc;
    private Trend utilizedTrend;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public Integer getPoolId() {
        return poolId;
    }

    public void setPoolId(Integer poolId) {
        this.poolId = poolId;
    }

    public String getPoolName() {
        return poolName;
    }

    public void setPoolName(String poolName) {
        this.poolName = poolName;
    }

    public Double getEntitledProc() {
        return entitledProc;
    }

    public void setEntitledProc(Double entitledProc) {
        this.entitledProc = Math.round(entitledProc * 1000) / 1000D;
    }

    public Double getUtilizedProc() {
        return utilizedProc;
    }

    public void setUtilizedProc(Double utilizedProc) {
        this.utilizedProc = Math.round(utilizedProc * 1000) / 1000D;
    }

    public Double getMaxUtilized() {
        return maxUtilized;
    }

    public void setMaxUtilized(Double maxUtilized) {
        this.maxUtilized = Math.round(maxUtilized * 1000) / 1000D;
    }

    public Double getDonatedProc() {
        return donatedProc;
    }

    public void setDonatedProc(Double donatedProc) {
        this.donatedProc = Math.round(donatedProc * 1000) / 1000D;
    }

    public Double getIdleProc() {
        return idleProc;
    }

    public void setIdleProc(Double idleProc) {
        this.idleProc = Math.round(idleProc * 1000) / 1000D;
    }

    public Trend getUtilizedTrend() {
        return utilizedTrend;
    }

    public void setUtilizedTrend(Trend utilizedTrend) {
        this.utilizedTrend = utilizedTrend;
    }
}
